SparrowDesk
Notes

List all company notes

GET
/companies/{companyId}/notes
AuthorizationBearer <token>

In: header

Path Parameters

companyIdinteger

Query Parameters

starting_after?string
per_page?integer
Default25
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/companies/0/notes"
{
  "data": [
    {
      "id": 1902,
      "contact_id": null,
      "company_id": 4410,
      "title": "Renewal call",
      "description": "Wants the annual plan. Sending the contract.",
      "source": "api",
      "attachments": [
        {
          "id": 1120,
          "url": "https://attachments.sparrowdesk.com/helpdesk-application/production/6f1c/note-attachments/master-services-agreement.pdf",
          "file_name": "master-services-agreement.pdf",
          "content_type": "application/pdf",
          "size": 88214,
          "status": "READY"
        }
      ],
      "created_by": {
        "id": 61,
        "name": "Richard Roe",
        "email": "[email protected]"
      },
      "last_updated_by": {
        "id": 73,
        "name": "Jane Roe",
        "email": "[email protected]"
      },
      "created_at": 1758537600,
      "updated_at": 1758537600
    }
  ],
  "pages": {
    "per_page": 25,
    "next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNi0wOS0yMVQxMjowMDowMC4wMDBaIiwiaWQiOjE4MzZ9",
    "next_url": "https://api.sparrowdesk.com/v1/companies/4410/notes?starting_after=eyJjcmVhdGVkX2F0IjoiMjAyNi0wOS0yMVQxMjowMDowMC4wMDBaIiwiaWQiOjE4MzZ9&per_page=25"
  },
  "total_count": 128
}
{
  "error": {
    "message": "Invalid cursor"
  }
}
{
  "error": {
    "message": "Company not found"
  }
}
{
  "error": {
    "message": "Required"
  }
}
{
  "error": {
    "message": "Internal server error"
  }
}